Bug 1415657 - Do not allow the user to proceed further if he does not fill mandatory fields required for deployment.
Summary: Do not allow the user to proceed further if he does not fill mandatory fields...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.1
: 0.10.7-0.0.13
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-23 11:31 UTC by RamaKasturi
Modified: 2017-04-21 09:48 UTC (History)
4 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:48:41 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 72480 master MERGED gdeploy: add validations for gdeploy configurations 2017-02-21 16:31:30 UTC
oVirt gerrit 72625 master MERGED gdeploy: remove nrpe configurations from gdeploy template 2017-02-21 16:29:21 UTC
oVirt gerrit 72797 ovirt-4.1 MERGED gdeploy: add validations for gdeploy configurations 2017-02-21 16:31:42 UTC

Description RamaKasturi 2017-01-23 11:31:17 UTC
Description of problem:
I see that user is able to proceed further with out giving any input. Do not allow the user to proceed further in case he does not fill the mandatory fileds required for deployment.

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. install latest cockpit-ovirt-dashboard
2. Login to the UI
3. Now select "Hosted Engine with gluster" and click on next with out providing the hosts.

Actual results:
I see that user is able to proceed further with out providing the inputs for mandatory fields.

Expected results:
user should not be allowed further if he does not provide the mandatory fields required for deployment.

Additional info:

Comment 1 RamaKasturi 2017-03-09 16:45:53 UTC
While verifying this bug i see that when mount point is not specified Gluster Deployment throws a error which reads "Brick Directory cannot be empty".should not it be "Mont Point cannot be empty" ?

In the same lines, if LV Name is not specified i see that "Brick name cannot be empty". Should not it be "LV Name cannot be empty".

Comment 2 Ramesh N 2017-03-10 08:23:28 UTC
(In reply to RamaKasturi from comment #1)
> While verifying this bug i see that when mount point is not specified
> Gluster Deployment throws a error which reads "Brick Directory cannot be
> empty".should not it be "Mont Point cannot be empty" ?
> 
> In the same lines, if LV Name is not specified i see that "Brick name cannot
> be empty". Should not it be "LV Name cannot be empty".

Both the suggestions are valid. This bug was to add validations for all the steps. Can you raise a separate bug for these text changes?.

Comment 3 SATHEESARAN 2017-03-20 06:51:54 UTC
(In reply to Ramesh N from comment #2)
> (In reply to RamaKasturi from comment #1)
> > While verifying this bug i see that when mount point is not specified
> > Gluster Deployment throws a error which reads "Brick Directory cannot be
> > empty".should not it be "Mont Point cannot be empty" ?
> > 
> > In the same lines, if LV Name is not specified i see that "Brick name cannot
> > be empty". Should not it be "LV Name cannot be empty".
> 
> Both the suggestions are valid. This bug was to add validations for all the
> steps. Can you raise a separate bug for these text changes?.

The new bug[1] is created to take care of this issue

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=1431094

Comment 4 RamaKasturi 2017-03-20 09:29:09 UTC
Verified and works fine with build cockpit-ovirt-dashboard-0.10.7-0.0.15.el7ev.noarch

1) when there are no gluster IP specified and if user clicks on 'Next'  a message is shown to user 'Host address cannot be empty'

2) If volume name is not specified a message is shown to the user  "volume name cannot be empty".

3) If brick directory is not specified a message is shown to the user " Brick directory cannot be empty"

4) If stripe size is not specified a message is shown to the user to"Enter stripe size".

5) If data disk count is not specified a message is shown to the user to "Enter data disk count"

6) If device name is not specified  a message is shown to the user to "Enter correct device name for brick"

7) If brick size is not specified a message is shown to the user to "Brick Size cannot be empty"

Raised a bug to change the text messages when lv and mount points are empty  https://bugzilla.redhat.com/show_bug.cgi?id=1431094


Note You need to log in before you can comment on or make changes to this bug.